Subject: Re: [PATCH 1/3] bnx2: Add support for CNIC driver.

From: "Paul E. McKenney" <[email-masked]>
Date: Thu, 22 May 2008 22:32:09 -0700

On Thu, May 22, 2008 at 09:52:48PM -0700, Michael Chan wrote:
> Paul E. McKenney wrote:
> 
> > So if a second CNIC driver attempts to register, it gets -EBUSY or
> > something, right?
> 
> There is only one CNIC driver and it will only register once per
> BNX2 netdevice.

I would nevertheless recommend keeping an error check...

> > > You are right.  We should just unconditionally set up the IRQ
> > > information without checking for c_ops.  The data 
> > structures we set up
> > > below are owned by us.
> > 
> > OK.  Hmmm....  You cannot even get away with sarcasm these days!  ;-)
> 
> Hmm, not sure what's the sarcasm.  The code here is trying to set up
> the IRQ information so that CNIC driver can see it.  Even if the CNIC
> driver is deregistering or was never registered, it doesn't hurt to
> set up that information.

The sarcasm was that I really didn't expect you to simply be able to
remove the check.  ;-)

> Anyway, I'll add some comments to the code to explain this better when
> I respin.
> 
> > Very good.  Could you please add a comment to that effect?  Otherwise
> > people search for what data structure is being freed up.
> > 
> 
> Will do.  Thanks.

Sounds good!

							Thanx, Paul